Modulo operation

- « gmp_legendre

- gmp_mul »

- PHP Manual
- GMP Functions
- Modulo operation

# gmp_mod

(PHP 4 >= 4.0.4, PHP 5, PHP 7, PHP 8)

gmp_mod — Modulo operation

### Description

gmp_mod(GMP|int|string `$num1`, GMP|int|string `$num2`): GMP

Calculates `num1` modulo `num2`. The result is always non-negative, the sign of `num2` is ignored.

### Parameters

`num1`

  A GMP object, an int, or a string that can be interpreted as a number following the same logic as if the string was used in gmp_init() with automatic base detection (i.e. when `base` is equal to 0).

`num2`

  The modulo that is being evaluated.

  A GMP object, an int, or a string that can be interpreted as a number following the same logic as if the string was used in gmp_init() with automatic base detection (i.e. when `base` is equal to 0).

### Return Values

A GMP object.

### Examples

Example #1 gmp_mod() example

    <?php
    $mod = gmp_mod("8", "3");
    echo gmp_strval($mod) . "\n";
    ?>

The above example will output:

    2